org.apache.mina.codec.delimited

## Class ProtobufDynamicDecoder

- java.lang.Object
- - org.apache.mina.codec.delimited.SizePrefixedDecoder<ProtobufDynamicMessageDecoder.ProtobufSerializedMessage>
  - - org.apache.mina.codec.delimited.ProtobufDynamicDecoder

All Implemented Interfaces:
  ProtocolDecoder<IoBuffer,ProtobufDynamicMessageDecoder.ProtobufSerializedMessage,SizePrefixedDecoder.MutableInt>

    public class ProtobufDynamicDecoder
    extends SizePrefixedDecoder<ProtobufDynamicMessageDecoder.ProtobufSerializedMessage>

Author:
  Apache MINA Project

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`SizePrefixedDecoder.MutableInt`

### Constructor Summary

Constructors
Constructor and Description
`ProtobufDynamicDecoder()`

### Method Summary

Methods
`static <L extends com.google.protobuf.GeneratedMessage> ProtobufDynamicDecoder` `newInstance()`

### Methods inherited from class org.apache.mina.codec.delimited.SizePrefixedDecoder

`createDecoderState, decode, finishDecode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtobufDynamicDecoder

    public ProtobufDynamicDecoder()
                           throws NoSuchMethodException

Throws:
  `NoSuchMethodException`

### Method Detail

#### newInstance

    public static <L extends com.google.protobuf.GeneratedMessage> ProtobufDynamicDecoder newInstance()
                                              throws NoSuchMethodException

Throws:
  `NoSuchMethodException`